Bug 1523826 - "rm -rf $RPM_BUILD_ROOT" not needed anymore
Summary: "rm -rf $RPM_BUILD_ROOT" not needed anymore
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmdevtools
Version: 30
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-08 19:44 UTC by Kees de Jong
Modified: 2019-07-13 02:41 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Kees de Jong 2017-12-08 19:44:50 UTC
Description of problem: On IRC (#fedora-devel) or in package reviews, it is always advised to remove the "rm -rf $RPM_BUILD_ROOT" line of the `rpmdev-newspec -t minimal` output. Would it be possible to remove this line from the tool? If it's really not necessary since the build (mock) will already do this.


Version-Release number of selected component (if applicable): rpmdevtools-8.10-3.fc27.noarch


Steps to Reproduce:
1. Run `rpmdev-newspec -t minimal`
2. Check line 26: rm -rf $RPM_BUILD_ROOT

Comment 1 Neal Gompa 2017-12-09 10:23:08 UTC
Yeah, I can look into making this conditional on the rpm version it targets.

Comment 2 Fedora End Of Life 2018-02-20 15:22:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Ben Cotton 2019-05-02 22:08:17 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Michal Schorm 2019-07-11 12:36:35 UTC
Any update there?

--

There are new folks, learning rpm, trying to become Fedora packages.
All of them look at this artifact. And they are asking what's that.

It's important to have the tools synced with the current status, documentation and guidelines.

Comment 5 Neal Gompa 2019-07-13 02:41:51 UTC
(In reply to Michal Schorm from comment #4)
> Any update there?
> 
> --
> 
> There are new folks, learning rpm, trying to become Fedora packages.
> All of them look at this artifact. And they are asking what's that.
> 
> It's important to have the tools synced with the current status,
> documentation and guidelines.

I can't remove it. It's not wrong if you're targeting distros that haven't overridden the behavior (and there are some!)

The behavior in Fedora comes from this snippet: https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/macros#_126-134

If there's a plan to upstream it, then I'll remove it from the spec templates.


Note You need to log in before you can comment on or make changes to this bug.